catalog:
  title: Cmusphinx Pocketsphinx

templates:
- github
- make
- base

variables:
  github.user: cmusphinx
  github.project: pocketsphinx

  extra-provides:
  - nature: pkg-config
    target: pocketsphinx
    version: '0.8'
  - nature: cmake
    target: pocketsphinx
    version: '0.8'
  extra-requires:
  - nature: pkg-config
    target: sphinxbase
    version: '0.8'

  platform-requires:
    ubuntu:
      packages:
      - swig
      - automake
      - autoconf

  shell.command: |
    @{environment.exports}
    ./autogen.sh --prefix="${toolkit.dir}"
    make install

versions:
- name: hash-robocup-2016-champion
  variables:
    commit: e7d059fe30230e73b785e1b9e89280d8a0a1b259

- name: famula-0.1
  variables:
    commit: 39b65315348091fe2d6f258a468a9a9080c05ffd

- name: '13047'
  variables:
    commit: 94a4b02f7dd5fdee6858c07af2380d07731306da

# last version to use basic make
- name: master
  variables:
    commit: a9b116efddf6e03ada9bce3c2196d16b055d3a4c